Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http
Interface HttpConnectionMetrics

All Known Implementing Classes:
  HttpConnectionMetricsImpl

    public interface HttpConnectionMetrics

The point of access to the statistics of an `HttpConnection`.

Since:
  4.0

Method Summary
`Object` | `getMetric(String metricName)` Return the value for the specified metric.
`long` | `getReceivedBytesCount()` Returns the number of bytes transferred over the connection, 0 if not available.
`long` | `getRequestCount()` Returns the number of requests transferred over the connection, 0 if not available.
`long` | `getResponseCount()` Returns the number of responses transferred over the connection, 0 if not available.
`long` | `getSentBytesCount()` Returns the number of bytes transferred over the connection, 0 if not available.
`void` | `reset()` Resets the counts

Method Detail

### getRequestCount

    long getRequestCount()

  Returns the number of requests transferred over the connection, 0 if not available.

### getResponseCount

    long getResponseCount()

  Returns the number of responses transferred over the connection, 0 if not available.

### getSentBytesCount

    long getSentBytesCount()

  Returns the number of bytes transferred over the connection, 0 if not available.

### getReceivedBytesCount

    long getReceivedBytesCount()

  Returns the number of bytes transferred over the connection, 0 if not available.

### getMetric

    Object getMetric(String metricName)

  Return the value for the specified metric.

  Parameters:
    `metricName` - the name of the metric to query.
  Returns:
    the object representing the metric requested, `null` if the metric cannot not found.

### reset

    void reset()

  Resets the counts

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.